Subject: Re: [PATCH] commit: Add commit.signoff configuration option

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 May 2025 06:09:38 -0700

Chris Down <[email-masked]> writes:

> Junio C Hamano writes:
>>But an old mistake is never an excuse that we can pile more mistakes
>>of the same kind on top.  Otherwise we wouldn't have learned anything.
>
> I'm curious about what specific issues format.signoff has caused that
> make you consider it a mistake. Has there been evidence over the past
> 16 years of it undermining the significance of signoffs or creating
> other problems?

Regarding other problems, the fact that we are having this
discussion is indication enough, isn't it?  If it didn't exist, we
wouldn't have had folks who used it as an excuse to promote
commit.signoff in the first place.